// Three.js will add a lot of commonly used variables to the shaders itself.
// For example:
//     projectionMatrix - the projection matrix (depends on the camera)
//     modelViewMatrix - the modelview matrix (depends on the current transformations)
//     position - the current position of our vertex in 3D local space, vec3.
//
// A vertex shader must assign the transformed coordinate to the variable gl_Position. 
// The coordinate must be transformed to the clip space coordinate.

attribute vec3 vertexColor; 	// This is the color we are sending from the CPU
varying vec3 interpolatedColor; // Varying variable is interpolated for the rasterized fragments between the vertices (like in the Bresenham Triangle task)
			
void main() {
    // --Task-- Write the vertex shader
    // 1) Assign the attribute color value to the varying color value.

    // 2) Transform our vertex position by multiplying it from the left with modelview (MV) matrix, then from the left with projection (P) matrix.
    //   So like: P * MV * vertex
    //   Hint: Inspect the shader code to see what names Three.js actually gives those matrices
}